ru.bitel.bgbilling.modules.mps.server.events

## Class MPSOSMPRequestEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.mps.server.events.MPSOSMPRequestEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class MPSOSMPRequestEvent
      extends LocalEvent

  Событие - перед отправкой запроса ОСМП.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MPSOSMPRequestEvent(int moduleId, MPSRequest request, MPSResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getParameters()`
    `MPSRequest` | `getRequest()`
    `MPSResponse` | `getResponse()`
    `boolean` | `isProcessed()`
    `void` | `setProcessed(boolean processed)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MPSOSMPRequestEvent

          public MPSOSMPRequestEvent(int moduleId,
                                     MPSRequest request,
                                     MPSResponse response)

  - ### Method Detail

    - #### getRequest

          public MPSRequest getRequest()

    - #### getResponse

          public MPSResponse getResponse()

    - #### isProcessed

          public boolean isProcessed()

    - #### setProcessed

          public void setProcessed(boolean processed)

    - #### getParameters

          public java.util.Map<java.lang.String,java.lang.String> getParameters()